Subject: Re: [hybi] Straw-poll on Masking options

From: Anthony Catel <[email-masked]>
Date: Mon, 17 Jan 2011 09:52:28 +0100

> Masking from the client to the server
> has reached strong consensus within this wg as a mechanism to reduce
> security risks.
> However there is disagreement on the actual method for masking.
> The technical differences, pro and cons, advantages and disadvantages,
> as well as the legal implications of each method have already been
> deeply discussed.
> In order to settle the question of masking and find a way forward that
> has a wide acceptance,
> Joe and I, as HyBi chairs, want to check where the consensus is
> on the following relevant options that have been discussed (and
> summarized at
> some point in the mailing list by Eric Rescorla)
>
>
> 1. a fixed mask carried entirely in the packet.
I vote for this one, even if it's far from perfect.
> 2. A longish repeated mask computed from the packet. For concreteness,
>     suppose HMAC-SHA1(<uuid>,<server-conn-key>  ||<client-conn-key>  ||
> <packet-key>), but
>     obviously there's flexibility here.
>
> 3. A fully generated mask (if so specify also what you would like to use
> e.g. AES-CTR or HMAC-SHA).
>
As a server integrator, I can't live with #2 or #3. I will not argue how 
stupid, heavy and confusing is to use a crypto solution for a 
non-secured transmition.
BTW I'm more convinced by a lightweight masking proposal (base64, 
CRLF-less masking).

Anthony C.